## Changed

* **EOR** → Create an EOR contract amendment:  Added `requested_by` field in the response that tells the name of the person who requested the amendment. Retained numeric fields such as value and amount as strings to preserve decimal precision.
* **EOR** → List all amendments for an EOR contract:  Added new response objects: `fixed_adjustments`  and  `variable_compensation`.
* **EOR** → Confirm an existing contract amendment:  Added new response objects: `fixed_adjustments`  and  `variable_compensation`.
* **Immigration** → Create an immigration case: Modified request body so that `employee_details` is now a required object. Marked few attributes of this object to be always `required`, namely `employee_details.citizenships` and `employee_details.residence`. Following attributes are only required if `contract_id` is not included, namely `employee_details.first_name`, `employee_details.last_name` and `employee_details.email`.
* **Immigration** → Retrieve onboarding right-to-work case for a worker: Added a new optional query param `contract_id` that allows filtering the worker's onboarding case by a specific contract. If the worker has multiple contracts and this parameter is omitted, the response may reflect onboarding case for any associated contract. Also added a new response object property `contract` with property `id` to indicate which contract was used.
